TEMPLATE = app
CONFIG += core
#CONFIG -= qt

DEFINES += PBRT_PROBES_NONE NDEBUG PBRT_HAS_OPENEXR

LIBS += -lfl -Bstatic -lIex -lIlmImf -lIlmThread -lImath -lIex -lHalf -Bdynamic -lpthread -lm

INCLUDEPATH += \
    /usr/include/OpenEXR \
    ../src \
    ../src/accelerators \
    ../src/cameras \
    ../src/core \
    ../src/film \
    ../src/filters \
    ../src/integrators \
    ../src/lights \
    ../src/materials \
    ../src/renderers \
    ../src/samplers \
    ../src/shapes \
    ../src/textures \
    ../src/tools \
    ../src/volumes \
    ../src/renderers

SOURCES += \
    ../src/accelerators/kdtreeaccel.cpp \
    ../src/accelerators/grid.cpp \
    ../src/accelerators/bvh.cpp \
    ../src/cameras/perspective.cpp \
    ../src/cameras/orthographic.cpp \
    ../src/cameras/environment.cpp \
    ../src/core/volume.cpp \
    ../src/core/transform.cpp \
    ../src/core/timer.cpp \
    ../src/core/texture.cpp \
    ../src/core/spectrum.cpp \
    ../src/core/shrots.cpp \
    ../src/core/shape.cpp \
    ../src/core/sh.cpp \
    ../src/core/scene.cpp \
    ../src/core/sampler.cpp \
    ../src/core/rng.cpp \
    ../src/core/renderer.cpp \
    ../src/core/reflection.cpp \
    ../src/core/quaternion.cpp \
    ../src/core/progressreporter.cpp \
    ../src/core/probes.cpp \
    ../src/core/primitive.cpp \
    ../src/core/pbrtparse.cpp \
    ../src/core/pbrtlex.cpp \
    ../src/core/parser.cpp \
    ../src/core/paramset.cpp \
    ../src/core/parallel.cpp \
    ../src/core/montecarlo.cpp \
    ../src/core/memory.cpp \
    ../src/core/material.cpp \
    ../src/core/light.cpp \
    ../src/core/intersection.cpp \
    ../src/core/integrator.cpp \
    ../src/core/imageio.cpp \
    ../src/core/geometry.cpp \
    ../src/core/floatfile.cpp \
    ../src/core/filter.cpp \
    ../src/core/film.cpp \
    ../src/core/fileutil.cpp \
    ../src/core/error.cpp \
    ../src/core/diffgeom.cpp \
    ../src/core/camera.cpp \
    ../src/core/api.cpp \
    ../src/film/image.cpp \
    ../src/filters/triangle.cpp \
    ../src/filters/sinc.cpp \
    ../src/filters/mitchell.cpp \
    ../src/filters/gaussian.cpp \
    ../src/filters/box.cpp \
    ../src/integrators/whitted.cpp \
    ../src/integrators/useprobes.cpp \
    ../src/integrators/single.cpp \
    ../src/integrators/photonmap.cpp \
    ../src/integrators/path.cpp \
    ../src/integrators/irradiancecache.cpp \
    ../src/integrators/igi.cpp \
    ../src/integrators/glossyprt.cpp \
    ../src/integrators/emission.cpp \
    ../src/integrators/directlighting.cpp \
    ../src/integrators/dipolesubsurface.cpp \
    ../src/integrators/diffuseprt.cpp \
    ../src/integrators/ambientocclusion.cpp \
    ../src/lights/spot.cpp \
    ../src/lights/projection.cpp \
    ../src/lights/point.cpp \
    ../src/lights/infinite.cpp \
    ../src/lights/goniometric.cpp \
    ../src/lights/distant.cpp \
    ../src/lights/diffuse.cpp \
    ../src/main/pbrt.cpp \
    ../src/materials/uber.cpp \
    ../src/materials/translucent.cpp \
    ../src/materials/subsurface.cpp \
    ../src/materials/substrate.cpp \
    ../src/materials/shinymetal.cpp \
    ../src/materials/plastic.cpp \
    ../src/materials/mixmat.cpp \
    ../src/materials/mirror.cpp \
    ../src/materials/metal.cpp \
    ../src/materials/measured.cpp \
    ../src/materials/matte.cpp \
    ../src/materials/kdsubsurface.cpp \
    ../src/materials/glass.cpp \
    ../src/renderers/surfacepoints.cpp \
    ../src/renderers/samplerrenderer.cpp \
    ../src/renderers/metropolis.cpp \
    ../src/renderers/createprobes.cpp \
    ../src/renderers/aggregatetest.cpp \
    ../src/samplers/stratified.cpp \
    ../src/samplers/random.cpp \
    ../src/samplers/lowdiscrepancy.cpp \
    ../src/samplers/halton.cpp \
    ../src/samplers/bestcandidate.cpp \
    ../src/samplers/adaptive.cpp \
    ../src/shapes/trianglemesh.cpp \
    ../src/shapes/sphere.cpp \
    ../src/shapes/paraboloid.cpp \
    ../src/shapes/nurbs.cpp \
    ../src/shapes/loopsubdiv.cpp \
    ../src/shapes/hyperboloid.cpp \
    ../src/shapes/heightfield.cpp \
    ../src/shapes/disk.cpp \
    ../src/shapes/cylinder.cpp \
    ../src/shapes/cone.cpp \
    ../src/textures/wrinkled.cpp \
    ../src/textures/windy.cpp \
    ../src/textures/uv.cpp \
    ../src/textures/scale.cpp \
    ../src/textures/mix.cpp \
    ../src/textures/marble.cpp \
    ../src/textures/imagemap.cpp \
    ../src/textures/fbm.cpp \
    ../src/textures/dots.cpp \
    ../src/textures/constant.cpp \
    ../src/textures/checkerboard.cpp \
    ../src/textures/bilerp.cpp \
    ../src/volumes/volumegrid.cpp \
    ../src/volumes/homogeneous.cpp \
    ../src/volumes/exponential.cpp

HEADERS += \
    ../src/accelerators/kdtreeaccel.h \
    ../src/accelerators/grid.h \
    ../src/accelerators/bvh.h \
    ../src/cameras/perspective.h \
    ../src/cameras/orthographic.h \
    ../src/cameras/environment.h \
    ../src/core/volume.h \
    ../src/core/transform.h \
    ../src/core/timer.h \
    ../src/core/texture.h \
    ../src/core/stdafx.h \
    ../src/core/spectrum.h \
    ../src/core/shape.h \
    ../src/core/sh.h \
    ../src/core/scene.h \
    ../src/core/sampler.h \
    ../src/core/rng.h \
    ../src/core/renderer.h \
    ../src/core/reflection.h \
    ../src/core/quaternion.h \
    ../src/core/progressreporter.h \
    ../src/core/probes.h \
    ../src/core/primitive.h \
    ../src/core/pbrt.h \
    ../src/core/parser.h \
    ../src/core/paramset.h \
    ../src/core/parallel.h \
    ../src/core/octree.h \
    ../src/core/montecarlo.h \
    ../src/core/mipmap.h \
    ../src/core/memory.h \
    ../src/core/material.h \
    ../src/core/light.h \
    ../src/core/kdtree.h \
    ../src/core/intersection.h \
    ../src/core/integrator.h \
    ../src/core/imageio.h \
    ../src/core/geometry.h \
    ../src/core/floatfile.h \
    ../src/core/filter.h \
    ../src/core/film.h \
    ../src/core/fileutil.h \
    ../src/core/error.h \
    ../src/core/diffgeom.h \
    ../src/core/camera.h \
    ../src/core/api.h \
    ../src/film/image.h \
    ../src/filters/triangle.h \
    ../src/filters/sinc.h \
    ../src/filters/mitchell.h \
    ../src/filters/gaussian.h \
    ../src/filters/box.h \
    ../src/integrators/whitted.h \
    ../src/integrators/useprobes.h \
    ../src/integrators/single.h \
    ../src/integrators/photonmap.h \
    ../src/integrators/path.h \
    ../src/integrators/irradiancecache.h \
    ../src/integrators/igi.h \
    ../src/integrators/glossyprt.h \
    ../src/integrators/emission.h \
    ../src/integrators/directlighting.h \
    ../src/integrators/dipolesubsurface.h \
    ../src/integrators/diffuseprt.h \
    ../src/integrators/ambientocclusion.h \
    ../src/lights/spot.h \
    ../src/lights/projection.h \
    ../src/lights/point.h \
    ../src/lights/infinite.h \
    ../src/lights/goniometric.h \
    ../src/lights/distant.h \
    ../src/lights/diffuse.h \
    ../src/materials/uber.h \
    ../src/materials/translucent.h \
    ../src/materials/subsurface.h \
    ../src/materials/substrate.h \
    ../src/materials/shinymetal.h \
    ../src/materials/plastic.h \
    ../src/materials/mixmat.h \
    ../src/materials/mirror.h \
    ../src/materials/metal.h \
    ../src/materials/measured.h \
    ../src/materials/matte.h \
    ../src/materials/kdsubsurface.h \
    ../src/materials/glass.h \
    ../src/renderers/surfacepoints.h \
    ../src/renderers/samplerrenderer.h \
    ../src/renderers/metropolis.h \
    ../src/renderers/createprobes.h \
    ../src/renderers/aggregatetest.h \
    ../src/samplers/stratified.h \
    ../src/samplers/random.h \
    ../src/samplers/lowdiscrepancy.h \
    ../src/samplers/halton.h \
    ../src/samplers/bestcandidate.h \
    ../src/samplers/adaptive.h \
    ../src/shapes/trianglemesh.h \
    ../src/shapes/sphere.h \
    ../src/shapes/paraboloid.h \
    ../src/shapes/nurbs.h \
    ../src/shapes/loopsubdiv.h \
    ../src/shapes/hyperboloid.h \
    ../src/shapes/heightfield.h \
    ../src/shapes/disk.h \
    ../src/shapes/cylinder.h \
    ../src/shapes/cone.h \
    ../src/textures/wrinkled.h \
    ../src/textures/windy.h \
    ../src/textures/uv.h \
    ../src/textures/scale.h \
    ../src/textures/mix.h \
    ../src/textures/marble.h \
    ../src/textures/imagemap.h \
    ../src/textures/fbm.h \
    ../src/textures/dots.h \
    ../src/textures/constant.h \
    ../src/textures/checkerboard.h \
    ../src/textures/bilerp.h \
    ../src/volumes/volumegrid.h \
    ../src/volumes/homogeneous.h \
    ../src/volumes/exponential.h














